For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tiles

Retrieve a vector tile from a collection for Web Mercator Quad EPSG: 3857 tile matrix set.

get
Authorizations
keystringRequired
keystringRequired
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tileMatrixstringRequired

Identifier selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile.

Example: 15
tileRowintegerRequired

Row index of the tile on the selected TileMatrix.

Example: 11179
tileColintegerRequired

Column index of the tile on the selected TileMatrix.

Example: 16558
collectionIdstring · enumRequired

Local identifier of a collection

Possible values:
Responses
200

A vector tile returned as a response.

application/octet-stream
string · binaryOptional
get/collections/{collectionId}/tiles/{tileMatrix}/{tileRow}/{tileCol}
GET /maps/vector/ngd/ota/v1/collections/{collectionId}/tiles/{tileMatrix}/{tileRow}/{tileCol} HTTP/1.1
Host: api.os.uk
key: YOUR_API_KEY
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
binary

Last updated

Was this helpful?